Команда "Габариты"

From FreeCAD Documentation
This page is a translated version of the page Std SelBoundingBox and the translation is 64% complete.
Outdated translations are marked like this.
Other languages:

Габариты

Расположение в меню
Вид → Габариты
Верстаки
Все
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Стиль представления

Описание

The Std SelBoundingBox command toggles the global bounding box highlighting mode. If this mode is switched on, selected objects are marked in a 3D view with a highlighted bounding box even if their ВидSelection Style is set to 'Shape'.

Применение

  1. Select the View → Bounding box option from the menu.

Программирование

To change the ShowSelectionBoundingBox parameter use the SetBool method of the appropriate ParameterGrp.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet("User parameter:BaseApp/Preferences/View")
if grp.GetBool("ShowSelectionBoundingBox"):
    grp.SetBool("ShowSelectionBoundingBox", False)
else:
    grp.SetBool("ShowSelectionBoundingBox", True)

FreeCADGui.updateCommands()